@echo off
cd %~dp0
set TITLE=Main
set TARGET=vic20

md obj > NUL
md bin > NUL
del obj\*.* /q
del bin\*.* /q

@echo on
cc65\bin\cc65.exe -Ois --codesize 500 -Cl -T -g -t vic20 -I . -I cc65\include %TITLE%.c -o  obj\%TITLE%.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g obj\%TITLE%.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g udc.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g vis-sss-bridge.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g RasterSync.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g ssbuf.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g data.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine


@echo on
ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -g vic-sss-mmx.s
@echo off
IF ERRORLEVEL 1 goto errorRoutine

@echo on
cc65\bin\ld65.exe -C vic20-16k.cfg -Ln %TITLE%.sym -m %TITLE%.map -o %TITLE%.prg obj\%TITLE%.o  data.o vic-sss-mmx.o vis-sss-bridge.o RasterSync.o ssbuf.o udc.o  cc65\lib\%TARGET%.lib
@echo off
IF ERRORLEVEL 1 goto errorRoutine

move *.o obj > NUL
move *.sym obj > NUL
move *.map obj > NUL
move *.lst obj > NUL
move *.prg bin > NUL

"..\PokefinderVICE\WinVICE-2.4.20.29773-x64\xvic.exe" -moncommands %~dp0\obj\%TITLE%.sym  -memory 16k  bin\%TITLE%.prg 

exit

:errorRoutine
@echo !!!!Build Error!!!
:pause
exit


