typedef enum {UP, DOWN, LEFT, RIGHT} Direction;
typedef enum {MS_IDLE, MS_ACTIVE, MS_DYING} MeanieState;

// struct sizing ///////////////////////////////
#define MEANIE_COUNT 4
#define LASER_COUNT 6

// meanie definition ///////////////////////////////
struct _Meanie
{
	BYTE spriteIndex;
	MeanieState state;
	BYTE patternIndex;
};
typedef struct _Meanie Meanie;


struct _laser
{
	BYTE kbCode;
	SBYTE X; // Location of laser begin
	SBYTE Y; // Vertical location of laser begin
	SBYTE direction; // Beam delta (1,-1)
	SBYTE bulletX; // Beam position (1,-1)
};
typedef struct _laser Laser;


// meanie definition ///////////////////////////////
struct _gameData
{
	BYTE lastKey;
	Laser lasers[LASER_COUNT];
	Meanie meanies[MEANIE_COUNT];
};
typedef struct _gameData GAMEDATA;

